commit:     5cb4ebc685d130ac80ff010a3ed5587bdcc4e609
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Feb  5 17:37:21 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Feb  5 17:39:51 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5cb4ebc6

dev-python/libcloud: Restore 1.5.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/libcloud/Manifest              |  1 +
 dev-python/libcloud/libcloud-1.5.0.ebuild | 54 +++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-python/libcloud/Manifest b/dev-python/libcloud/Manifest
index 40018b9779f..73d94c995f4 100644
--- a/dev-python/libcloud/Manifest
+++ b/dev-python/libcloud/Manifest
@@ -1 +1,2 @@
+DIST apache-libcloud-1.5.0.tar.bz2 1258553 BLAKE2B 
9cad0f61ab8505deea99c15022da92caf24295480d16bedf9c735c1117a055c94162cdcb331734c572f375de3ba10b499d5ed46a5a11f1e634d272e69748ef79
 SHA512 
91c10d164f56c9f75c6e5633802c3cf31046ab7a3ae554b73310b1da2d882ac1f8e90aaf3462db57ac0949dfd66cb840ec8fc6e6b79c46128668f13183d47b30
 DIST apache-libcloud-2.3.0.tar.bz2 1370556 BLAKE2B 
14c6604d190d63f9049de2034b487cd7bb314add399339cac7a46dcbfea339497ede0d8058fd29dab43d53a45637fc5e60c71a5079fff6f45ed5023721eb68f2
 SHA512 
673c5b7b12f4510f2b43ea8199fab1e3f7ded62423d7d67301f5e3448c78750bc898c494a33d033844acf94bc292582371e9ac02ce1db6f4443a3966ef9fd0e8

diff --git a/dev-python/libcloud/libcloud-1.5.0.ebuild 
b/dev-python/libcloud/libcloud-1.5.0.ebuild
new file mode 100644
index 00000000000..e44f1f4a479
--- /dev/null
+++ b/dev-python/libcloud/libcloud-1.5.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+# py3 dropped due to failing tests once lockfile installed
+PYTHON_COMPAT=( python3_6 )
+PYTHON_REQ_USE="ssl(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Unified Interface to the Cloud - python support libs"
+HOMEPAGE="https://libcloud.apache.org/";
+SRC_URI="mirror://apache/${PN}/apache-${P}.tar.bz2"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples test"
+
+RDEPEND=""
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/lockfile[${PYTHON_USEDEP}]
+                $(python_gen_cond_dep 
'dev-python/backports-ssl-match-hostname[${PYTHON_USEDEP}]' python2_7 pypy)
+       )"
+
+# Known test failures
+RESTRICT="test"
+
+S="${WORKDIR}/apache-${P}"
+
+python_prepare_all() {
+       if use examples; then
+               mkdir examples
+               mv example_*.py examples || die
+       fi
+       distutils-r1_python_prepare_all
+}
+
+src_test() {
+       cp libcloud/test/secrets.py-dist libcloud/test/secrets.py || die
+       distutils-r1_src_test
+}
+
+python_test() {
+       esetup.py test
+}
+
+python_install_all() {
+       use examples && local EXAMPLES=( examples/. )
+       distutils-r1_python_install_all
+}

Reply via email to